# Uses of Interface
org.eclipse.jface.text.ITextStore

Packages that use ITextStore
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of ITextStore in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement ITextStore
Modifier and Type
Class
Description
`class`
`CopyOnWriteTextStore`
Copy-on-write `ITextStore` wrapper.
`class`
`GapTextStore`
Implements a gap managing text store.
`class`
`SequentialRewriteTextStore`
Deprecated.
since 3.3 as `GapTextStore` performs better even for sequential rewrite scenarios
Fields in org.eclipse.jface.text declared as ITextStore
Modifier and Type
Field
Description
`protected ITextStore`
CopyOnWriteTextStore.`fTextStore`
The underlying "real" text store
Methods in org.eclipse.jface.text that return ITextStore
Modifier and Type
Method
Description
`ITextStore`
SequentialRewriteTextStore.`getSourceStore()`
Deprecated.
Returns the source store of this rewrite store.
`protected ITextStore`
AbstractDocument.`getStore()`
Returns the document's text store.
Methods in org.eclipse.jface.text with parameters of type ITextStore
Modifier and Type
Method
Description
`protected void`
AbstractDocument.`setTextStore(ITextStore store)`
Sets the document's text store.
Constructors in org.eclipse.jface.text with parameters of type ITextStore
Modifier
Constructor
Description
``
`CopyOnWriteTextStore(ITextStore modifiableTextStore)`
Creates an empty text store.
``
`SequentialRewriteTextStore(ITextStore source)`
Deprecated.
Creates a new sequential rewrite store for the given source store.